#!/bin/bash # projectid: 42078
# name: PATCH-X86-THIRD-0.0.5.sh
# date: 2023/02/02

script_name=$(basename $0)
PWD=/etc/cpeagent/upgrade/${script_name%.*}

ret_success=0
ret_success_restart=1
ret_success_reboot=2
ret_fail_roolback=6
ret_fail_others=7



log_exit() 
{
    echo `date` "$script_name upgrade: ${1} exit $2" 
    exit ${2}
}


update_nss()
{
    currentNssVersion=$(rpm -q nss)
    currentLibxml2Version=$(rpm -q libxml2)
    currentPppVersion=$(rpm -q ppp)
    if [ "${currentNssVersion}" != "nss-3.79.0-4.el7_9.x86_64" -o "${currentLibxml2Version}" != "libxml2-2.9.1-6.el7_9.6.x86_64" -o "currentPppVersion" != "ppp-2.4.5-34.el7_7.x86_64" ]; then
        rpm -Uvh ${PWD}/package/nss-* ${PWD}/package/nspr-* ${PWD}/package/libxml2-* ${PWD}/package/ppp-* --force
        
        if [ $? -eq 0 ]; then
            log_exit "nss and libxml2 and ppp update sucessed!" $ret_success
        else
            log_exit "nss and libxml2 and ppp update failed!" $ret_fail_others
        fi
    fi
    exit $ret_success
}


install()
{
    update_nss
}

uninstall()
{
    exit $ret_success
}

if [ "$1" == "install" ];then
    install
elif [ "$1" == "uninstall" ]; then
    uninstall
else
    log_exit "invalid args" $ret_fail_others
fi

